summaryrefslogtreecommitdiffstats
path: root/scripts-ada/mkgnatnewlibspec.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts-ada/mkgnatnewlibspec.in')
-rw-r--r--scripts-ada/mkgnatnewlibspec.in71
1 files changed, 71 insertions, 0 deletions
diff --git a/scripts-ada/mkgnatnewlibspec.in b/scripts-ada/mkgnatnewlibspec.in
new file mode 100644
index 0000000000..cea5cc1b03
--- /dev/null
+++ b/scripts-ada/mkgnatnewlibspec.in
@@ -0,0 +1,71 @@
+#!/bin/sh
+#
+# Usage: mktoolspec CPU
+#
+
+RTEMS_DIR=`dirname $0`/@top_srcdir@
+
+CFG=setup.cache
+dst=@RPM_SPECSdir@
+exe_ext=@EXEEXT@
+
+usage()
+{
+ echo "$0 [options] <target_alias>"
+ echo " options:"
+ echo " -cfg <setup.cache>"
+ echo " -o <rpm-spec-dir>"
+ exit 1 ;
+}
+
+specsrc=${RTEMS_DIR}/gnatnewlib/gnatnewlib.spec.in
+
+while test $# -ge 2; do
+case $1 in
+-cfg)
+ shift
+ CFG=$1
+ shift
+ ;;
+-o)
+ shift
+ dst=$1
+ shift
+ ;;
+-a) # alternate specs file
+ shift
+ specsrc=$1
+ shift
+ ;;
+-*)
+ echo "invalid option $1";
+ usage
+ ;;
+esac
+done
+
+if test ! $# -eq 1;
+then
+ echo "Invalid number of arguments"
+ usage
+fi
+
+# target to build for
+target_alias=$1
+
+. ./$CFG
+
+specfile=${dst}/$target_alias-gcc-${gcc_version}-newlib-${newlib_version}.spec
+
+sed -e "s%@Release@%${gnatnewlib_rpm_release}%g" \
+ -e "s%@target_alias@%${target_alias}%g" \
+ -e "s%@rpm_build_root@%${rpm_build_root}%g" \
+ -e "s%@gcc_version@%${gcc_version}%g" \
+ -e "s%@gcc_patch_version@%${gcc_patch_version}%g" \
+ -e "s%@newlib_version@%${newlib_version}%g" \
+ -e "s%@newlib_patch_version@%${newlib_patch_version}%g" \
+ -e "s%@exe_ext@%${exe_ext}%g" \
+< ${specsrc} \
+> ${specfile}
+
+echo Generated ${specfile}.